package jp.sourceforge.shovel.form;

import java.util.TimeZone;

public interface ISettingsForm {
    String getDisplayName();
    void setDisplayName(String displayName);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    String getEmail();
    void setEmail(String email);
    String getTimeZoneId();
    void setTimeZoneId(String timeZoneId);
    TimeZone getTimeZone();
    boolean isProtect();
    void setProtect(boolean protect);
    String getUrl();
    void setUrl(String url);
    String getDescription();
    void setDescription(String description);
    String getLocation();
    void setLocation(String location);
    int getViewLines();
    void setViewLines(int viewLines);
}
